#include "subfiles/fontsubFile.h"

#include "EasyLogging++/easylogging++.h"

namespace LOTRO_DAT {
namespace Subfiles {

SubfileData Subfile<FONT>::BuildForExport(const BinaryData &file_data) {
    SubfileData result;
    result.binary_data = file_data;
    result.options["ext"] = ".fontbin";
    return result;
}

BinaryData Subfile<FONT>::BuildForImport(const BinaryData &old_data, const SubfileData &data) {
    return old_data.CutData(0, 16) + data.binary_data.CutData(8);
}

}; // namespace Subfiles
}; // namespace LOTRO_DAT